let g:vim_markdown_conceal = 2
let g:vim_markdown_conceal_code_blocks = 0
let g:vim_markdown_math = 1
let g:vim_markdown_toml_frontmatter = 1
let g:vim_markdown_frontmatter = 1
let g:vim_markdown_strikethrough = 1
let g:vim_markdown_autowrite = 1
let g:vim_markdown_edit_url_in = 'tab'
let g:vim_markdown_follow_anchor = 1

augroup CustomMarkdown
  autocmd BufNewFile,BufRead *.md set filetype=markdown
  autocmd FileType markdown Goyo
  autocmd FileType markdown setlocal linebreak
  autocmd FileType markdown setlocal nocursorline
  autocmd FileType markdown setlocal nocursorcolumn
augroup END
